/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.threeten.bp.LocalDate;

import java.math.BigDecimal;
import java.util.Objects;

/**
 * List of information linked to missed flight incident
 */
@ApiModel(description = "List of information linked to missed flight incident")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class MissedFlightClaimInformation {
  @SerializedName("Claimant_name")
  private String claimantName = null;

  @SerializedName("Relationship_to_cardholder")
  private String relationshipToCardholder = null;

  @SerializedName("Other_relationship_to_cardholder")
  private String otherRelationshipToCardholder = null;

  @SerializedName("Sex")
  private String sex = null;

  @SerializedName("Date_of_Birth")
  private LocalDate dateOfBirth = null;

  @SerializedName("Do_you_have_other_insurance_covering")
  private String doYouHaveOtherInsuranceCovering = null;

  @SerializedName("Amount_paid_by_other_insurance")
  private BigDecimal amountPaidByOtherInsurance = null;

  @SerializedName("Airline_offer_any_compensation")
  private String airlineOfferAnyCompensation = null;

  @SerializedName("Form_of_payment")
  private String formOfPayment = null;

  @SerializedName("Start_trip_date")
  private LocalDate startTripDate = null;

  @SerializedName("End_trip_date")
  private LocalDate endTripDate = null;

  @SerializedName("Departure_programmed_times")
  private String departureProgrammedTimes = null;

  @SerializedName("Time_of_loss")
  private String timeOfLoss = null;

  @SerializedName("Arrival_programmed_times")
  private String arrivalProgrammedTimes = null;

  @SerializedName("Time_Arrival")
  private String timeArrival = null;

  @SerializedName("Second_departure_programmed_times")
  private String secondDepartureProgrammedTimes = null;

  @SerializedName("Second_arrival_programmed_times")
  private String secondArrivalProgrammedTimes = null;

  @SerializedName("Date_and_time_of_missed_connection")
  private LocalDate dateAndTimeOfMissedConnection = null;

  @SerializedName("Total_amount_claimed")
  private BigDecimal totalAmountClaimed = null;

  @SerializedName("CurrencyIsoCode")
  private String currencyIsoCode = null;

  @SerializedName("Operator_travel_agency_Name")
  private String operatorTravelAgencyName = null;

  @SerializedName("Operator_travel_agency_Address")
  private String operatorTravelAgencyAddress = null;

  @SerializedName("Operator_travel_agency_Phone")
  private Model51 operatorTravelAgencyPhone = null;

  @SerializedName("Briefly_describe_the_causes_that_led")
  private String brieflyDescribeTheCausesThatLed = null;

  @SerializedName("itemsList")
  private Model119 itemsList = null;

  public MissedFlightClaimInformation claimantName(String claimantName) {
    this.claimantName = claimantName;
    return this;
  }

   /**
   * Get claimantName
   * @return claimantName
  **/
  @ApiModelProperty(example = "TestClaim", value = "")
  public String getClaimantName() {
    return claimantName;
  }

  public void setClaimantName(String claimantName) {
    this.claimantName = claimantName;
  }

  public MissedFlightClaimInformation relationshipToCardholder(String relationshipToCardholder) {
    this.relationshipToCardholder = relationshipToCardholder;
    return this;
  }

   /**
   * Get relationshipToCardholder
   * @return relationshipToCardholder
  **/
  @ApiModelProperty(example = "Spouse", value = "")
  public String getRelationshipToCardholder() {
    return relationshipToCardholder;
  }

  public void setRelationshipToCardholder(String relationshipToCardholder) {
    this.relationshipToCardholder = relationshipToCardholder;
  }

  public MissedFlightClaimInformation otherRelationshipToCardholder(String otherRelationshipToCardholder) {
    this.otherRelationshipToCardholder = otherRelationshipToCardholder;
    return this;
  }

   /**
   * Get otherRelationshipToCardholder
   * @return otherRelationshipToCardholder
  **/
  @ApiModelProperty(example = "TestR", value = "")
  public String getOtherRelationshipToCardholder() {
    return otherRelationshipToCardholder;
  }

  public void setOtherRelationshipToCardholder(String otherRelationshipToCardholder) {
    this.otherRelationshipToCardholder = otherRelationshipToCardholder;
  }

  public MissedFlightClaimInformation sex(String sex) {
    this.sex = sex;
    return this;
  }

   /**
   * Get sex
   * @return sex
  **/
  @ApiModelProperty(example = "Male", value = "")
  public String getSex() {
    return sex;
  }

  public void setSex(String sex) {
    this.sex = sex;
  }

  public MissedFlightClaimInformation dateOfBirth(LocalDate dateOfBirth) {
    this.dateOfBirth = dateOfBirth;
    return this;
  }

   /**
   * Get dateOfBirth
   * @return dateOfBirth
  **/
  @ApiModelProperty(example = "1999-03-12", value = "")
  public LocalDate getDateOfBirth() {
    return dateOfBirth;
  }

  public void setDateOfBirth(LocalDate dateOfBirth) {
    this.dateOfBirth = dateOfBirth;
  }

  public MissedFlightClaimInformation doYouHaveOtherInsuranceCovering(String doYouHaveOtherInsuranceCovering) {
    this.doYouHaveOtherInsuranceCovering = doYouHaveOtherInsuranceCovering;
    return this;
  }

   /**
   * Get doYouHaveOtherInsuranceCovering
   * @return doYouHaveOtherInsuranceCovering
  **/
  @ApiModelProperty(example = "No", value = "")
  public String getDoYouHaveOtherInsuranceCovering() {
    return doYouHaveOtherInsuranceCovering;
  }

  public void setDoYouHaveOtherInsuranceCovering(String doYouHaveOtherInsuranceCovering) {
    this.doYouHaveOtherInsuranceCovering = doYouHaveOtherInsuranceCovering;
  }

  public MissedFlightClaimInformation amountPaidByOtherInsurance(BigDecimal amountPaidByOtherInsurance) {
    this.amountPaidByOtherInsurance = amountPaidByOtherInsurance;
    return this;
  }

   /**
   * Get amountPaidByOtherInsurance
   * @return amountPaidByOtherInsurance
  **/
  @ApiModelProperty(example = "2000.0", value = "")
  public BigDecimal getAmountPaidByOtherInsurance() {
    return amountPaidByOtherInsurance;
  }

  public void setAmountPaidByOtherInsurance(BigDecimal amountPaidByOtherInsurance) {
    this.amountPaidByOtherInsurance = amountPaidByOtherInsurance;
  }

  public MissedFlightClaimInformation airlineOfferAnyCompensation(String airlineOfferAnyCompensation) {
    this.airlineOfferAnyCompensation = airlineOfferAnyCompensation;
    return this;
  }

   /**
   * Get airlineOfferAnyCompensation
   * @return airlineOfferAnyCompensation
  **/
  @ApiModelProperty(example = "No", value = "")
  public String getAirlineOfferAnyCompensation() {
    return airlineOfferAnyCompensation;
  }

  public void setAirlineOfferAnyCompensation(String airlineOfferAnyCompensation) {
    this.airlineOfferAnyCompensation = airlineOfferAnyCompensation;
  }

  public MissedFlightClaimInformation formOfPayment(String formOfPayment) {
    this.formOfPayment = formOfPayment;
    return this;
  }

   /**
   * Get formOfPayment
   * @return formOfPayment
  **/
  @ApiModelProperty(example = "Test ", value = "")
  public String getFormOfPayment() {
    return formOfPayment;
  }

  public void setFormOfPayment(String formOfPayment) {
    this.formOfPayment = formOfPayment;
  }

  public MissedFlightClaimInformation startTripDate(LocalDate startTripDate) {
    this.startTripDate = startTripDate;
    return this;
  }

   /**
   * Get startTripDate
   * @return startTripDate
  **/
  @ApiModelProperty(example = "2017-03-12", value = "")
  public LocalDate getStartTripDate() {
    return startTripDate;
  }

  public void setStartTripDate(LocalDate startTripDate) {
    this.startTripDate = startTripDate;
  }

  public MissedFlightClaimInformation endTripDate(LocalDate endTripDate) {
    this.endTripDate = endTripDate;
    return this;
  }

   /**
   * Get endTripDate
   * @return endTripDate
  **/
  @ApiModelProperty(example = "2018-03-12", value = "")
  public LocalDate getEndTripDate() {
    return endTripDate;
  }

  public void setEndTripDate(LocalDate endTripDate) {
    this.endTripDate = endTripDate;
  }

  public MissedFlightClaimInformation departureProgrammedTimes(String departureProgrammedTimes) {
    this.departureProgrammedTimes = departureProgrammedTimes;
    return this;
  }

   /**
   * Get departureProgrammedTimes
   * @return departureProgrammedTimes
  **/
  @ApiModelProperty(example = "12:00", value = "")
  public String getDepartureProgrammedTimes() {
    return departureProgrammedTimes;
  }

  public void setDepartureProgrammedTimes(String departureProgrammedTimes) {
    this.departureProgrammedTimes = departureProgrammedTimes;
  }

  public MissedFlightClaimInformation timeOfLoss(String timeOfLoss) {
    this.timeOfLoss = timeOfLoss;
    return this;
  }

   /**
   * Get timeOfLoss
   * @return timeOfLoss
  **/
  @ApiModelProperty(example = "test ", value = "")
  public String getTimeOfLoss() {
    return timeOfLoss;
  }

  public void setTimeOfLoss(String timeOfLoss) {
    this.timeOfLoss = timeOfLoss;
  }

  public MissedFlightClaimInformation arrivalProgrammedTimes(String arrivalProgrammedTimes) {
    this.arrivalProgrammedTimes = arrivalProgrammedTimes;
    return this;
  }

   /**
   * Get arrivalProgrammedTimes
   * @return arrivalProgrammedTimes
  **/
  @ApiModelProperty(example = "13:00", value = "")
  public String getArrivalProgrammedTimes() {
    return arrivalProgrammedTimes;
  }

  public void setArrivalProgrammedTimes(String arrivalProgrammedTimes) {
    this.arrivalProgrammedTimes = arrivalProgrammedTimes;
  }

  public MissedFlightClaimInformation timeArrival(String timeArrival) {
    this.timeArrival = timeArrival;
    return this;
  }

   /**
   * Get timeArrival
   * @return timeArrival
  **/
  @ApiModelProperty(example = "test", value = "")
  public String getTimeArrival() {
    return timeArrival;
  }

  public void setTimeArrival(String timeArrival) {
    this.timeArrival = timeArrival;
  }

  public MissedFlightClaimInformation secondDepartureProgrammedTimes(String secondDepartureProgrammedTimes) {
    this.secondDepartureProgrammedTimes = secondDepartureProgrammedTimes;
    return this;
  }

   /**
   * Get secondDepartureProgrammedTimes
   * @return secondDepartureProgrammedTimes
  **/
  @ApiModelProperty(example = "14:00", value = "")
  public String getSecondDepartureProgrammedTimes() {
    return secondDepartureProgrammedTimes;
  }

  public void setSecondDepartureProgrammedTimes(String secondDepartureProgrammedTimes) {
    this.secondDepartureProgrammedTimes = secondDepartureProgrammedTimes;
  }

  public MissedFlightClaimInformation secondArrivalProgrammedTimes(String secondArrivalProgrammedTimes) {
    this.secondArrivalProgrammedTimes = secondArrivalProgrammedTimes;
    return this;
  }

   /**
   * Get secondArrivalProgrammedTimes
   * @return secondArrivalProgrammedTimes
  **/
  @ApiModelProperty(example = "17:00", value = "")
  public String getSecondArrivalProgrammedTimes() {
    return secondArrivalProgrammedTimes;
  }

  public void setSecondArrivalProgrammedTimes(String secondArrivalProgrammedTimes) {
    this.secondArrivalProgrammedTimes = secondArrivalProgrammedTimes;
  }

  public MissedFlightClaimInformation dateAndTimeOfMissedConnection(LocalDate dateAndTimeOfMissedConnection) {
    this.dateAndTimeOfMissedConnection = dateAndTimeOfMissedConnection;
    return this;
  }

   /**
   * Get dateAndTimeOfMissedConnection
   * @return dateAndTimeOfMissedConnection
  **/
  @ApiModelProperty(example = "2018-03-12T00:00:00Z", value = "")
  public LocalDate getDateAndTimeOfMissedConnection() {
    return dateAndTimeOfMissedConnection;
  }

  public void setDateAndTimeOfMissedConnection(LocalDate dateAndTimeOfMissedConnection) {
    this.dateAndTimeOfMissedConnection = dateAndTimeOfMissedConnection;
  }

  public MissedFlightClaimInformation totalAmountClaimed(BigDecimal totalAmountClaimed) {
    this.totalAmountClaimed = totalAmountClaimed;
    return this;
  }

   /**
   * Get totalAmountClaimed
   * @return totalAmountClaimed
  **/
  @ApiModelProperty(example = "300.0", value = "")
  public BigDecimal getTotalAmountClaimed() {
    return totalAmountClaimed;
  }

  public void setTotalAmountClaimed(BigDecimal totalAmountClaimed) {
    this.totalAmountClaimed = totalAmountClaimed;
  }

  public MissedFlightClaimInformation currencyIsoCode(String currencyIsoCode) {
    this.currencyIsoCode = currencyIsoCode;
    return this;
  }

   /**
   * Get currencyIsoCode
   * @return currencyIsoCode
  **/
  @ApiModelProperty(example = "USD", value = "")
  public String getCurrencyIsoCode() {
    return currencyIsoCode;
  }

  public void setCurrencyIsoCode(String currencyIsoCode) {
    this.currencyIsoCode = currencyIsoCode;
  }

  public MissedFlightClaimInformation operatorTravelAgencyName(String operatorTravelAgencyName) {
    this.operatorTravelAgencyName = operatorTravelAgencyName;
    return this;
  }

   /**
   * Get operatorTravelAgencyName
   * @return operatorTravelAgencyName
  **/
  @ApiModelProperty(example = "Test", value = "")
  public String getOperatorTravelAgencyName() {
    return operatorTravelAgencyName;
  }

  public void setOperatorTravelAgencyName(String operatorTravelAgencyName) {
    this.operatorTravelAgencyName = operatorTravelAgencyName;
  }

  public MissedFlightClaimInformation operatorTravelAgencyAddress(String operatorTravelAgencyAddress) {
    this.operatorTravelAgencyAddress = operatorTravelAgencyAddress;
    return this;
  }

   /**
   * Get operatorTravelAgencyAddress
   * @return operatorTravelAgencyAddress
  **/
  @ApiModelProperty(example = "Test", value = "")
  public String getOperatorTravelAgencyAddress() {
    return operatorTravelAgencyAddress;
  }

  public void setOperatorTravelAgencyAddress(String operatorTravelAgencyAddress) {
    this.operatorTravelAgencyAddress = operatorTravelAgencyAddress;
  }

  public MissedFlightClaimInformation operatorTravelAgencyPhone(Model51 operatorTravelAgencyPhone) {
    this.operatorTravelAgencyPhone = operatorTravelAgencyPhone;
    return this;
  }

   /**
   * Get operatorTravelAgencyPhone
   * @return operatorTravelAgencyPhone
  **/
  @ApiModelProperty(value = "")
  public Model51 getOperatorTravelAgencyPhone() {
    return operatorTravelAgencyPhone;
  }

  public void setOperatorTravelAgencyPhone(Model51 operatorTravelAgencyPhone) {
    this.operatorTravelAgencyPhone = operatorTravelAgencyPhone;
  }

  public MissedFlightClaimInformation brieflyDescribeTheCausesThatLed(String brieflyDescribeTheCausesThatLed) {
    this.brieflyDescribeTheCausesThatLed = brieflyDescribeTheCausesThatLed;
    return this;
  }

   /**
   * Get brieflyDescribeTheCausesThatLed
   * @return brieflyDescribeTheCausesThatLed
  **/
  @ApiModelProperty(example = "Test", value = "")
  public String getBrieflyDescribeTheCausesThatLed() {
    return brieflyDescribeTheCausesThatLed;
  }

  public void setBrieflyDescribeTheCausesThatLed(String brieflyDescribeTheCausesThatLed) {
    this.brieflyDescribeTheCausesThatLed = brieflyDescribeTheCausesThatLed;
  }

  public MissedFlightClaimInformation itemsList(Model119 itemsList) {
    this.itemsList = itemsList;
    return this;
  }

   /**
   * Get itemsList
   * @return itemsList
  **/
  @ApiModelProperty(value = "")
  public Model119 getItemsList() {
    return itemsList;
  }

  public void setItemsList(Model119 itemsList) {
    this.itemsList = itemsList;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    MissedFlightClaimInformation missedFlightClaimInformation = (MissedFlightClaimInformation) o;
    return Objects.equals(this.claimantName, missedFlightClaimInformation.claimantName) &&
        Objects.equals(this.relationshipToCardholder, missedFlightClaimInformation.relationshipToCardholder) &&
        Objects.equals(this.otherRelationshipToCardholder, missedFlightClaimInformation.otherRelationshipToCardholder) &&
        Objects.equals(this.sex, missedFlightClaimInformation.sex) &&
        Objects.equals(this.dateOfBirth, missedFlightClaimInformation.dateOfBirth) &&
        Objects.equals(this.doYouHaveOtherInsuranceCovering, missedFlightClaimInformation.doYouHaveOtherInsuranceCovering) &&
        Objects.equals(this.amountPaidByOtherInsurance, missedFlightClaimInformation.amountPaidByOtherInsurance) &&
        Objects.equals(this.airlineOfferAnyCompensation, missedFlightClaimInformation.airlineOfferAnyCompensation) &&
        Objects.equals(this.formOfPayment, missedFlightClaimInformation.formOfPayment) &&
        Objects.equals(this.startTripDate, missedFlightClaimInformation.startTripDate) &&
        Objects.equals(this.endTripDate, missedFlightClaimInformation.endTripDate) &&
        Objects.equals(this.departureProgrammedTimes, missedFlightClaimInformation.departureProgrammedTimes) &&
        Objects.equals(this.timeOfLoss, missedFlightClaimInformation.timeOfLoss) &&
        Objects.equals(this.arrivalProgrammedTimes, missedFlightClaimInformation.arrivalProgrammedTimes) &&
        Objects.equals(this.timeArrival, missedFlightClaimInformation.timeArrival) &&
        Objects.equals(this.secondDepartureProgrammedTimes, missedFlightClaimInformation.secondDepartureProgrammedTimes) &&
        Objects.equals(this.secondArrivalProgrammedTimes, missedFlightClaimInformation.secondArrivalProgrammedTimes) &&
        Objects.equals(this.dateAndTimeOfMissedConnection, missedFlightClaimInformation.dateAndTimeOfMissedConnection) &&
        Objects.equals(this.totalAmountClaimed, missedFlightClaimInformation.totalAmountClaimed) &&
        Objects.equals(this.currencyIsoCode, missedFlightClaimInformation.currencyIsoCode) &&
        Objects.equals(this.operatorTravelAgencyName, missedFlightClaimInformation.operatorTravelAgencyName) &&
        Objects.equals(this.operatorTravelAgencyAddress, missedFlightClaimInformation.operatorTravelAgencyAddress) &&
        Objects.equals(this.operatorTravelAgencyPhone, missedFlightClaimInformation.operatorTravelAgencyPhone) &&
        Objects.equals(this.brieflyDescribeTheCausesThatLed, missedFlightClaimInformation.brieflyDescribeTheCausesThatLed) &&
        Objects.equals(this.itemsList, missedFlightClaimInformation.itemsList);
  }

  @Override
  public int hashCode() {
    return Objects.hash(claimantName, relationshipToCardholder, otherRelationshipToCardholder, sex, dateOfBirth, doYouHaveOtherInsuranceCovering, amountPaidByOtherInsurance, airlineOfferAnyCompensation, formOfPayment, startTripDate, endTripDate, departureProgrammedTimes, timeOfLoss, arrivalProgrammedTimes, timeArrival, secondDepartureProgrammedTimes, secondArrivalProgrammedTimes, dateAndTimeOfMissedConnection, totalAmountClaimed, currencyIsoCode, operatorTravelAgencyName, operatorTravelAgencyAddress, operatorTravelAgencyPhone, brieflyDescribeTheCausesThatLed, itemsList);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class MissedFlightClaimInformation {\n");
    
    sb.append("    claimantName: ").append(toIndentedString(claimantName)).append("\n");
    sb.append("    relationshipToCardholder: ").append(toIndentedString(relationshipToCardholder)).append("\n");
    sb.append("    otherRelationshipToCardholder: ").append(toIndentedString(otherRelationshipToCardholder)).append("\n");
    sb.append("    sex: ").append(toIndentedString(sex)).append("\n");
    sb.append("    dateOfBirth: ").append(toIndentedString(dateOfBirth)).append("\n");
    sb.append("    doYouHaveOtherInsuranceCovering: ").append(toIndentedString(doYouHaveOtherInsuranceCovering)).append("\n");
    sb.append("    amountPaidByOtherInsurance: ").append(toIndentedString(amountPaidByOtherInsurance)).append("\n");
    sb.append("    airlineOfferAnyCompensation: ").append(toIndentedString(airlineOfferAnyCompensation)).append("\n");
    sb.append("    formOfPayment: ").append(toIndentedString(formOfPayment)).append("\n");
    sb.append("    startTripDate: ").append(toIndentedString(startTripDate)).append("\n");
    sb.append("    endTripDate: ").append(toIndentedString(endTripDate)).append("\n");
    sb.append("    departureProgrammedTimes: ").append(toIndentedString(departureProgrammedTimes)).append("\n");
    sb.append("    timeOfLoss: ").append(toIndentedString(timeOfLoss)).append("\n");
    sb.append("    arrivalProgrammedTimes: ").append(toIndentedString(arrivalProgrammedTimes)).append("\n");
    sb.append("    timeArrival: ").append(toIndentedString(timeArrival)).append("\n");
    sb.append("    secondDepartureProgrammedTimes: ").append(toIndentedString(secondDepartureProgrammedTimes)).append("\n");
    sb.append("    secondArrivalProgrammedTimes: ").append(toIndentedString(secondArrivalProgrammedTimes)).append("\n");
    sb.append("    dateAndTimeOfMissedConnection: ").append(toIndentedString(dateAndTimeOfMissedConnection)).append("\n");
    sb.append("    totalAmountClaimed: ").append(toIndentedString(totalAmountClaimed)).append("\n");
    sb.append("    currencyIsoCode: ").append(toIndentedString(currencyIsoCode)).append("\n");
    sb.append("    operatorTravelAgencyName: ").append(toIndentedString(operatorTravelAgencyName)).append("\n");
    sb.append("    operatorTravelAgencyAddress: ").append(toIndentedString(operatorTravelAgencyAddress)).append("\n");
    sb.append("    operatorTravelAgencyPhone: ").append(toIndentedString(operatorTravelAgencyPhone)).append("\n");
    sb.append("    brieflyDescribeTheCausesThatLed: ").append(toIndentedString(brieflyDescribeTheCausesThatLed)).append("\n");
    sb.append("    itemsList: ").append(toIndentedString(itemsList)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

